4Suite™ API Documentation

# ► Module Ft.Server.Client.Core.DocumentDefinitionClient

4Suite server document definitions: contain system and user metadata for managed documents WWW: http://4suite.org e-mail: support@4suite.org
Copyright (c) 2001 Fourthought, Inc. USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: DocumentDefinitionClient

## Classes

class DocumentDefinitionClient(Ft.Server.Client.Core.XmlDocumentClient.XmlDocumentClient)

### Methods

addBaseDocumentDefinition(self, baseDef)
Add a base document definition to this document definition. This will cause all of the documents associated with this document definition to be re-processed and could take a long time
getBaseDefinitions(self)
Get the base definitions of this document definition
getCreationParams(self)
Get the creation parameters associated with this document definition. See Ft.Server.Core.CreationParamsImp.py
getDerivedDefinitions(self)
Get all of the parent definitions of this document definition
getMetaDocumentUris(self, recurse=1)
Get a list of all documents that use this doc def
removeBaseDocumentDefinition(self, baseDef, recurse=1)
Remove a base document definition. This will cause all of the documents associated with this document definition to be regenerated.
setCreationParams(self, newCp)
Set the creation parameters of this document definition

### Methods inherited from class Ft.Server.Client.Core.XmlDocumentClient.XmlDocumentClient

expandXLink, getDocumentDefinition, setDocumentDefinition

### Methods inherited from class Ft.Server.Client.Core.RawFileClient.RawFileClient

asSchematron, asStylesheet, getContentResource, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Client.Core.ResourceMetaDataClient.ResourceMetaDataClient

__cmp__, __hash__, __init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContent, getContentSlice, getCreationDate, getDisplayPath, getImt, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, getValidationInfo, hasResource, inheritAcl, isResourceType, markTemporary, pprint, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setContent, setOwner, toXPathContext, verifyAcl, xUpdate